### Method

# Gio UnixFDList peek_fds

since: 2.24

#### Declaration

    const gint*
    g_unix_fd_list_peek_fds (
      GUnixFDList* list,
      gint* length
    )

#### Description

Returns the array of file descriptors that is contained in this object.

After this call, the descriptors remain the property of `list`. The caller must not close them and must not free the array. The array is valid only until `list` is changed in any way.

If `length` is non-`NULL` then it is set to the number of file descriptors in the returned array. The returned array is also terminated with -1.

This function never returns `NULL`. In case there are no file descriptors contained in `list`, an empty array is returned.

Available since: 2.24

#### Parameters

`length`

  Type: `gint*`

  Pointer to the length of the returned array, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `gint`

An array of file descriptors.

The length of the array is in the `length` argument.
The returned data is owned by the instance.